<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:41 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ICommonDialog (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ICommonDialog (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ICommonDialog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/ClassFactory.html" title="class in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/ICommonDialog.html" target="_top">Frames</a></li>
<li><a href="ICommonDialog.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.device.scanner.wia</div>
<h2 title="Interface ICommonDialog" class="title">Interface ICommonDialog</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>com4j.Com4jObject</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ICommonDialog</span>
extends com4j.Com4jObject</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html#showAcquireImage-io.mosip.registration.device.scanner.wia.WiaDeviceType-io.mosip.registration.device.scanner.wia.WiaImageIntent-io.mosip.registration.device.scanner.wia.WiaImageBias-java.lang.String-boolean-boolean-boolean-">showAcquireImage</a></span>(<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaDeviceType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaDeviceType</a>&nbsp;deviceType,
                <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageIntent.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageIntent</a>&nbsp;intent,
                <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageBias.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageBias</a>&nbsp;bias,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;formatID,
                boolean&nbsp;alwaysSelectDevice,
                boolean&nbsp;useCommonUI,
                boolean&nbsp;cancelError)</code>
<div class="block">
 Displays one or more dialog boxes that enable the user to acquire an image from a hardware device for image acquisition and returns an ImageFile object on success, otherwise Nothing</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html#showAcquisitionWizard-io.mosip.registration.device.scanner.wia.IDevice-">showAcquisitionWizard</a></span>(<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia">IDevice</a>&nbsp;device)</code>
<div class="block">
 Launches the Windows Scanner and Camera Wizard and returns Nothing.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html#showDeviceProperties-io.mosip.registration.device.scanner.wia.IDevice-boolean-">showDeviceProperties</a></span>(<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia">IDevice</a>&nbsp;device,
                    boolean&nbsp;cancelError)</code>
<div class="block">
 Displays the properties dialog box for the specified Device</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html#showItemProperties-io.mosip.registration.device.scanner.wia.IItem-boolean-">showItemProperties</a></span>(<a href="../../../../../../io/mosip/registration/device/scanner/wia/IItem.html" title="interface in io.mosip.registration.device.scanner.wia">IItem</a>&nbsp;item,
                  boolean&nbsp;cancelError)</code>
<div class="block">
 Displays the properties dialog box for the specified Item</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html#showPhotoPrintingWizard-java.lang.Object-">showPhotoPrintingWizard</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;files)</code>
<div class="block">
 Launches the Photo Printing Wizard with the absolute path of a specific file or Vector of absolute paths to files</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia">IDevice</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html#showSelectDevice-io.mosip.registration.device.scanner.wia.WiaDeviceType-boolean-boolean-">showSelectDevice</a></span>(<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaDeviceType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaDeviceType</a>&nbsp;deviceType,
                boolean&nbsp;alwaysSelectDevice,
                boolean&nbsp;cancelError)</code>
<div class="block">
 Displays a dialog box that enables the user to select a hardware device for image acquisition.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/IItems.html" title="interface in io.mosip.registration.device.scanner.wia">IItems</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html#showSelectItems-io.mosip.registration.device.scanner.wia.IDevice-io.mosip.registration.device.scanner.wia.WiaImageIntent-io.mosip.registration.device.scanner.wia.WiaImageBias-boolean-boolean-boolean-">showSelectItems</a></span>(<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia">IDevice</a>&nbsp;device,
               <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageIntent.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageIntent</a>&nbsp;intent,
               <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageBias.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageBias</a>&nbsp;bias,
               boolean&nbsp;singleSelect,
               boolean&nbsp;useCommonUI,
               boolean&nbsp;cancelError)</code>
<div class="block">
 Displays a dialog box that enables the user to select an item for transfer from a hardware device for image acquisition.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html#showTransfer-io.mosip.registration.device.scanner.wia.IItem-java.lang.String-boolean-">showTransfer</a></span>(<a href="../../../../../../io/mosip/registration/device/scanner/wia/IItem.html" title="interface in io.mosip.registration.device.scanner.wia">IItem</a>&nbsp;item,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;formatID,
            boolean&nbsp;cancelError)</code>
<div class="block">
 Displays a progress dialog box while transferring the specified Item to the local machine.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com4j.Com4jObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com4j.Com4jObject</h3>
<code>advise, dispose, equals, getComThread, getIUnknownPointer, getPointer, getPtr, hashCode, is, queryInterface, setName, toString</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="showAcquisitionWizard-io.mosip.registration.device.scanner.wia.IDevice-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showAcquisitionWizard</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;showAcquisitionWizard(<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia">IDevice</a>&nbsp;device)</pre>
<div class="block"><p>
 Launches the Windows Scanner and Camera Wizard and returns Nothing. Future versions may return a collection of ImageFile objects.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>device</code> - Mandatory IDevice parameter.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type java.lang.Object</dd>
</dl>
</li>
</ul>
<a name="showAcquireImage-io.mosip.registration.device.scanner.wia.WiaDeviceType-io.mosip.registration.device.scanner.wia.WiaImageIntent-io.mosip.registration.device.scanner.wia.WiaImageBias-java.lang.String-boolean-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showAcquireImage</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a>&nbsp;showAcquireImage(@DefaultValue(value="0")
                            <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaDeviceType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaDeviceType</a>&nbsp;deviceType,
                            @DefaultValue(value="0")
                            <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageIntent.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageIntent</a>&nbsp;intent,
                            @DefaultValue(value="131072")
                            <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageBias.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageBias</a>&nbsp;bias,
                            @DefaultValue(value="{00000000-0000-0000-0000-000000000000}")
                            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;formatID,
                            @DefaultValue(value="0")
                            boolean&nbsp;alwaysSelectDevice,
                            @DefaultValue(value="-1")
                            boolean&nbsp;useCommonUI,
                            @DefaultValue(value="0")
                            boolean&nbsp;cancelError)</pre>
<div class="block"><p>
 Displays one or more dialog boxes that enable the user to acquire an image from a hardware device for image acquisition and returns an ImageFile object on success, otherwise Nothing
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deviceType</code> - Optional parameter. Default value is 0</dd>
<dd><code>intent</code> - Optional parameter. Default value is 0</dd>
<dd><code>bias</code> - Optional parameter. Default value is 131072</dd>
<dd><code>formatID</code> - Optional parameter. Default value is "{00000000-0000-0000-0000-000000000000}"</dd>
<dd><code>alwaysSelectDevice</code> - Optional parameter. Default value is false</dd>
<dd><code>useCommonUI</code> - Optional parameter. Default value is false</dd>
<dd><code>cancelError</code> - Optional parameter. Default value is false</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type IImageFile</dd>
</dl>
</li>
</ul>
<a name="showSelectDevice-io.mosip.registration.device.scanner.wia.WiaDeviceType-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showSelectDevice</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia">IDevice</a>&nbsp;showSelectDevice(@DefaultValue(value="0")
                         <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaDeviceType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaDeviceType</a>&nbsp;deviceType,
                         @DefaultValue(value="0")
                         boolean&nbsp;alwaysSelectDevice,
                         @DefaultValue(value="0")
                         boolean&nbsp;cancelError)</pre>
<div class="block"><p>
 Displays a dialog box that enables the user to select a hardware device for image acquisition. Returns the selected Device object on success, otherwise Nothing
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deviceType</code> - Optional parameter. Default value is 0</dd>
<dd><code>alwaysSelectDevice</code> - Optional parameter. Default value is false</dd>
<dd><code>cancelError</code> - Optional parameter. Default value is false</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type IDevice</dd>
</dl>
</li>
</ul>
<a name="showSelectItems-io.mosip.registration.device.scanner.wia.IDevice-io.mosip.registration.device.scanner.wia.WiaImageIntent-io.mosip.registration.device.scanner.wia.WiaImageBias-boolean-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showSelectItems</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/IItems.html" title="interface in io.mosip.registration.device.scanner.wia">IItems</a>&nbsp;showSelectItems(<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia">IDevice</a>&nbsp;device,
                       @DefaultValue(value="0")
                       <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageIntent.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageIntent</a>&nbsp;intent,
                       @DefaultValue(value="131072")
                       <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageBias.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageBias</a>&nbsp;bias,
                       @DefaultValue(value="-1")
                       boolean&nbsp;singleSelect,
                       @DefaultValue(value="-1")
                       boolean&nbsp;useCommonUI,
                       @DefaultValue(value="0")
                       boolean&nbsp;cancelError)</pre>
<div class="block"><p>
 Displays a dialog box that enables the user to select an item for transfer from a hardware device for image acquisition. Returns the selection as an Items collection on success, otherwise Nothing
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>device</code> - Mandatory IDevice parameter.</dd>
<dd><code>intent</code> - Optional parameter. Default value is 0</dd>
<dd><code>bias</code> - Optional parameter. Default value is 131072</dd>
<dd><code>singleSelect</code> - Optional parameter. Default value is false</dd>
<dd><code>useCommonUI</code> - Optional parameter. Default value is false</dd>
<dd><code>cancelError</code> - Optional parameter. Default value is false</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type IItems</dd>
</dl>
</li>
</ul>
<a name="showDeviceProperties-io.mosip.registration.device.scanner.wia.IDevice-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showDeviceProperties</h4>
<pre>void&nbsp;showDeviceProperties(<a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia">IDevice</a>&nbsp;device,
                          @DefaultValue(value="0")
                          boolean&nbsp;cancelError)</pre>
<div class="block"><p>
 Displays the properties dialog box for the specified Device
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>device</code> - Mandatory IDevice parameter.</dd>
<dd><code>cancelError</code> - Optional parameter. Default value is false</dd>
</dl>
</li>
</ul>
<a name="showItemProperties-io.mosip.registration.device.scanner.wia.IItem-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showItemProperties</h4>
<pre>void&nbsp;showItemProperties(<a href="../../../../../../io/mosip/registration/device/scanner/wia/IItem.html" title="interface in io.mosip.registration.device.scanner.wia">IItem</a>&nbsp;item,
                        @DefaultValue(value="0")
                        boolean&nbsp;cancelError)</pre>
<div class="block"><p>
 Displays the properties dialog box for the specified Item
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - Mandatory IItem parameter.</dd>
<dd><code>cancelError</code> - Optional parameter. Default value is false</dd>
</dl>
</li>
</ul>
<a name="showTransfer-io.mosip.registration.device.scanner.wia.IItem-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showTransfer</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;showTransfer(<a href="../../../../../../io/mosip/registration/device/scanner/wia/IItem.html" title="interface in io.mosip.registration.device.scanner.wia">IItem</a>&nbsp;item,
                    @DefaultValue(value="{00000000-0000-0000-0000-000000000000}")
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;formatID,
                    @DefaultValue(value="0")
                    boolean&nbsp;cancelError)</pre>
<div class="block"><p>
 Displays a progress dialog box while transferring the specified Item to the local machine. See Item.Transfer for additional information.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - Mandatory IItem parameter.</dd>
<dd><code>formatID</code> - Optional parameter. Default value is "{00000000-0000-0000-0000-000000000000}"</dd>
<dd><code>cancelError</code> - Optional parameter. Default value is false</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type java.lang.Object</dd>
</dl>
</li>
</ul>
<a name="showPhotoPrintingWizard-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>showPhotoPrintingWizard</h4>
<pre>void&nbsp;showPhotoPrintingWizard(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;files)</pre>
<div class="block"><p>
 Launches the Photo Printing Wizard with the absolute path of a specific file or Vector of absolute paths to files
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>files</code> - Mandatory java.lang.Object parameter.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ICommonDialog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/ClassFactory.html" title="class in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/ICommonDialog.html" target="_top">Frames</a></li>
<li><a href="ICommonDialog.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
